package net.sf.jack4j;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Contains some constants defined in Jack API.
 * 
 * @author repa
 * 
 */
public class JackConstants {

	static {
		JackBridge.initializeJackBridge();
	}

	/**
	 * Calls <code>jack_client_name_size()</code>.
	 */
	public static native int getClientNameSize();

	/**
	 * Calls <code>jack_port_name_size()</code>.
	 */
	public static native int getPortNameSize();

	/**
	 * Calls <code>jack_port_type_size()</code>.
	 */
	public static native int getPortTypeSize();

	/**
	 * Returns value of <code>JACK_DEFAULT_AUDIO_TYPE</code> constant.
	 */
	public static native String JACK_DEFAULT_AUDIO_TYPE();

	/**
	 * Returns value of <code>JACK_DEFAULT_MID)TYPE</code> constant.
	 */
	public static native String JACK_DEFAULT_MIDI_TYPE();

	/** Returns value of <code>JACK_LOAD_INIT_LIMIT</code> constant. */
	public static native int JACK_LOAD_INIT_LIMIT();

	/** Returns value of <code>JACK_MAX_FRAMES</code> constant. */
	public static native long JACK_MAX_FRAMES();

	/**
	 * Returns value of <code>JackPortIsInput</code> constant.
	 */
	public static native int JackPortIsInput();

	/**
	 * Returns value of <code>JackPortIsOutput</code> constant.
	 */
	public static native int JackPortIsOutput();

	/**
	 * Returns value of <code>JackPortIsPhysical</code> constant.
	 */
	public static native int JackPortIsPhysical();

	/**
	 * Returns value of <code>JackPortCanMonitor</code> constant.
	 */
	public static native int JackPortCanMonitor();

	/**
	 * Returns value of <code>JackPortIsTerminal</code> constant.
	 */
	public static native int JackPortIsTerminal();

	/**
	 * Returns value of <code>JackFailure</code> constant.
	 */
	public static native int JackFailure();

	/** Returns value of <code>JackInvalidOption</code> constant. */
	public static native int JackInvalidOption();

	/** Returns value of <code>JackNameNotUnique</code> constant. */
	public static native int JackNameNotUnique();

	/** Returns value of <code>JackServerStarted</code> constant. */
	public static native int JackServerStarted();

	/** Returns value of <code>JackServerFailed</code> constant. */
	public static native int JackServerFailed();

	/** Returns value of <code>JackServerError</code> constant. */
	public static native int JackServerError();

	/** Returns value of <code>JackNoSuchClient</code> constant. */
	public static native int JackNoSuchClient();

	/** Returns value of <code>JackLoadFailure</code> constant. */
	public static native int JackLoadFailure();

	/** Returns value of <code>JackInitFailure</code> constant. */
	public static native int JackInitFailure();

	/** Returns value of <code>JackShmFailure</code> constant. */
	public static native int JackShmFailure();

	/** Returns value of <code>JackVersionError</code> constant. */
	public static native int JackVersionError();

	/** Returns value of <code>JackTransportStopped</code> constant. */
	public static native int JackTransportStopped();

	/** Returns value of <code>JackTransportRolling</code> constant. */
	public static native int JackTransportRolling();

	/** Returns value of <code>JackTransportLooping</code> constant. */
	public static native int JackTransportLooping();

	/** Returns value of <code>JackTransportStarting</code> constant. */
	public static native int JackTransportStarting();

	/** Returns value of <code>JackPositionBBT</code> constant. */
	public static native int JackPositionBBT();

	/** Returns value of <code>JackPositionTimecode</code> constant. */
	public static native int JackPositionTimecode();

	/** Returns value of <code>JackBBTFrameOffset</code> constant. */
	public static native int JackBBTFrameOffset();

	/** Returns value of <code>JackAudioVideoRatio</code> constant. */
	public static native int JackAudioVideoRatio();

	/** Returns value of <code>JackVideoFrameOffset</code> constant. */
	public static native int JackVideoFrameOffset();

}
