/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

package net.sf.jack4j;

/**
 * Represents Jack internal client (internal clients run inside Jack server).
 * 
 * <p>
 * Instances of this
 * 
 * @author repa
 * 
 */
public class JackInternalClient {

	static {
		JackBridge.initializeJackBridge();
	}

	@SuppressWarnings("unused")
	private volatile long loadingClientHandle;
	private volatile long internalClientHandle;

	JackInternalClient(long loadingClientHandle, long internalClientHandle) {
		this.loadingClientHandle = loadingClientHandle;
		this.internalClientHandle = internalClientHandle;
	}

	/**
	 * Returns native handle of this Jack internal client, packed as long.
	 */
	public long getHandle() {
		return internalClientHandle;
	}

	/**
	 * Returns internal client name.
	 */
	public native String getName();

	/**
	 * Unloads this internal client.
	 */
	public native void unload() throws JackException;
}
