package net.sf.jack4j;

/**
 * MIDI event that can be processed by Jack.
 * 
 * <p>
 * The class only contains time (frame number since "the zero time"), and raw
 * MIDI data represented as byte array.
 * 
 * @author repa
 * 
 */
public class JackMidiEvent {

	private int time;
	private byte[] data;

	public JackMidiEvent(int time, byte[] data) {
		this.time = time;
		this.data = data;
	}

	/**
	 * @return the time
	 */
	public int getTime() {
		return time;
	}

	/**
	 * @param time
	 *            the time to set
	 */
	public void setTime(int time) {
		this.time = time;
	}

	/**
	 * @return the data
	 */
	public byte[] getData() {
		return data;
	}

	/**
	 * @param data
	 *            the data to set
	 */
	public void setData(byte[] data) {
		this.data = data;
	}

}
